Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class MuleConfigurationService

    java.lang.Object
      org.mule.module.management.mbean.MuleConfigurationService

All Implemented Interfaces:
  MuleConfigurationServiceMBean

    public class MuleConfigurationService

extends Object
implements MuleConfigurationServiceMBean

`MuleConfigurationService` exposes the MuleConfiguration settings as a management service.

Field Summary

Fields inherited from interface org.mule.module.management.mbean.MuleConfigurationServiceMBean
`DEFAULT_JMX_NAME`

Constructor Summary
`MuleConfigurationService(MuleConfiguration muleConfiguration)`

Method Summary
`String` | `getEncoding()`
`int` | `getShutdownTimeout()`
`String` | `getStackTraceFilter()`
`int` | `getSynchronousEventTimeout()`
`int` | `getTransactionTimeout()`
`String` | `getWorkingDirectory()`
`boolean` | `isClientMode()`
`boolean` | `isContainerMode()`
`boolean` | `isFullStackTraces()`
`void` | `setFullStackTraces(boolean flag)`
`void` | `setStackTraceFilter(String filterAsString)` Comma-separated list of packages and/or classes to remove.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleConfigurationService

    public MuleConfigurationService(MuleConfiguration muleConfiguration)

Method Detail

### getSynchronousEventTimeout

    public int getSynchronousEventTimeout()

  Specified by:
    `getSynchronousEventTimeout` in interface `MuleConfigurationServiceMBean`

### getWorkingDirectory

    public String getWorkingDirectory()

  Specified by:
    `getWorkingDirectory` in interface `MuleConfigurationServiceMBean`

### getTransactionTimeout

    public int getTransactionTimeout()

  Specified by:
    `getTransactionTimeout` in interface `MuleConfigurationServiceMBean`

### getShutdownTimeout

    public int getShutdownTimeout()

  Specified by:
    `getShutdownTimeout` in interface `MuleConfigurationServiceMBean`

### isClientMode

    public boolean isClientMode()

### getEncoding

    public String getEncoding()

  Specified by:
    `getEncoding` in interface `MuleConfigurationServiceMBean`

### isContainerMode

    public boolean isContainerMode()

  Specified by:
    `isContainerMode` in interface `MuleConfigurationServiceMBean`

### isFullStackTraces

    public boolean isFullStackTraces()

  Specified by:
    `isFullStackTraces` in interface `MuleConfigurationServiceMBean`

### setFullStackTraces

    public void setFullStackTraces(boolean flag)

  Specified by:
    `setFullStackTraces` in interface `MuleConfigurationServiceMBean`

### getStackTraceFilter

    public String getStackTraceFilter()

  Specified by:
    `getStackTraceFilter` in interface `MuleConfigurationServiceMBean`

### setStackTraceFilter

    public void setStackTraceFilter(String filterAsString)

  Description copied from interface: `MuleConfigurationServiceMBean`
  Comma-separated list of packages and/or classes to remove.

  Specified by:
    `setStackTraceFilter` in interface `MuleConfigurationServiceMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.